Subject: bug#1752: 23.0.60; var `minibuffer-default' has no defvar or description

From: "Drew Adams" <[email-masked]>
Date: Wed, 31 Dec 2008 09:58:21 -0800

This variable is used across several libraries, but it apparently has
no defvar (so no doc string) and no comment describing it. Similarly, I
don't see it declared anywhere in the C sources (of Emacs 22 - I don't
have the C sources of Emacs 23 handy).
 
How about adding a defvar for this? The variable seems to be related only to the
minibuffer history, whereas its name can lead you to believe that it has
something to do with establishing the default value used in the minibuffer. (?)

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-12-30 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'